Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class AcknowledgedQueueConsumer

    java.lang.Object
      org.hornetq.rest.queue.QueueConsumer
          org.hornetq.rest.queue.AcknowledgedQueueConsumer

Direct Known Subclasses:
  AcknowledgedSubscriptionResource

    public class AcknowledgedQueueConsumer

extends QueueConsumer

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected Acknowledgement` | `ack`
`protected long` | `counter`
`protected java.lang.String` | `startup`

Fields inherited from class org.hornetq.rest.queue.QueueConsumer
`autoAck, closed, consumer, destination, factory, id, lastConsumed, lastPing, previousIndex, selector, serviceManager, session`

Constructor Summary
`AcknowledgedQueueConsumer(org.hornetq.api.core.client.ClientSessionFactory factory, java.lang.String destination, java.lang.String id, DestinationServiceManager serviceManager, java.lang.String selector)`

Method Summary
`javax.ws.rs.core.Response` | `acknowledge(java.lang.String ackToken, boolean doAcknowledge, javax.ws.rs.core.UriInfo uriInfo)`
`Acknowledgement` | `getAck()`
`protected java.lang.String` | `getAckToken()`
`javax.ws.rs.core.Response` | `poll(long wait, long index, javax.ws.rs.core.UriInfo info)`
`protected org.hornetq.api.core.client.ClientMessage` | `receive(long timeoutSecs)`
`protected org.hornetq.api.core.client.ClientMessage` | `receiveFromConsumer(long timeoutSecs)`
`protected void` | `setAcknowledgeLinks(javax.ws.rs.core.UriInfo uriInfo, java.lang.String basePath, javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String index)`
`void` | `setAcknowledgementLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info, java.lang.String basePath)`
`static void` | `setAcknowledgeNextLink(LinkStrategy linkStrategy, javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info, java.lang.String basePath, java.lang.String index)`
`protected void` | `setMessageResponseLinks(javax.ws.rs.core.UriInfo info, java.lang.String basePath, javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String index)`
`protected void` | `setPollTimeoutLinks(javax.ws.rs.core.UriInfo info, java.lang.String basePath, javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String index)`
`void` | `shutdown()`
`protected void` | `unacknowledge()`

Methods inherited from class org.hornetq.rest.queue.QueueConsumer
`checkIndexAndPoll, createSession, getConsumeIndex, getId, getLastPingTime, getMessageResponse, getServiceManager, isClosed, ping, pollWithIndex, runPoll, setConsumeNextLink, setServiceManager, setSessionLink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    protected long counter

### startup

    protected java.lang.String startup

### ack

    protected volatile Acknowledgement ack

Constructor Detail

### AcknowledgedQueueConsumer

    public AcknowledgedQueueConsumer(org.hornetq.api.core.client.ClientSessionFactory factory,
                                     java.lang.String destination,
                                     java.lang.String id,
                                     DestinationServiceManager serviceManager,
                                     java.lang.String selector)
                              throws org.hornetq.api.core.HornetQException

Throws:
  `org.hornetq.api.core.HornetQException`

Method Detail

### getAck

    public Acknowledgement getAck()

### poll

    public javax.ws.rs.core.Response poll(@HeaderParam(value="Accept-Wait")
                                          long wait,
                                          long index,
                                          @Context
                                          javax.ws.rs.core.UriInfo info)

  Overrides:
    `poll` in class `QueueConsumer`

### shutdown

    public void shutdown()

  Overrides:
    `shutdown` in class `QueueConsumer`

### acknowledge

    public javax.ws.rs.core.Response acknowledge(java.lang.String ackToken,
                                                 boolean doAcknowledge,
                                                 @Context
                                                 javax.ws.rs.core.UriInfo uriInfo)

### receive

    protected org.hornetq.api.core.client.ClientMessage receive(long timeoutSecs)
                                                         throws java.lang.Exception

  Overrides:
    `receive` in class `QueueConsumer`
  Throws:
    `java.lang.Exception`

### receiveFromConsumer

    protected org.hornetq.api.core.client.ClientMessage receiveFromConsumer(long timeoutSecs)
                                                                     throws java.lang.Exception

  Overrides:
    `receiveFromConsumer` in class `QueueConsumer`
  Throws:
    `java.lang.Exception`

### getAckToken

    protected java.lang.String getAckToken()

### unacknowledge

    protected void unacknowledge()

### setAcknowledgeLinks

    protected void setAcknowledgeLinks(javax.ws.rs.core.UriInfo uriInfo,
                                       java.lang.String basePath,
                                       javax.ws.rs.core.Response.ResponseBuilder builder,
                                       java.lang.String index)

### setMessageResponseLinks

    protected void setMessageResponseLinks(javax.ws.rs.core.UriInfo info,
                                           java.lang.String basePath,
                                           javax.ws.rs.core.Response.ResponseBuilder builder,
                                           java.lang.String index)

  Overrides:
    `setMessageResponseLinks` in class `QueueConsumer`

### setPollTimeoutLinks

    protected void setPollTimeoutLinks(javax.ws.rs.core.UriInfo info,
                                       java.lang.String basePath,
                                       javax.ws.rs.core.Response.ResponseBuilder builder,
                                       java.lang.String index)

  Overrides:
    `setPollTimeoutLinks` in class `QueueConsumer`

### setAcknowledgementLink

    public void setAcknowledgementLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                       javax.ws.rs.core.UriInfo info,
                                       java.lang.String basePath)

### setAcknowledgeNextLink

    public static void setAcknowledgeNextLink(LinkStrategy linkStrategy,
                                              javax.ws.rs.core.Response.ResponseBuilder response,
                                              javax.ws.rs.core.UriInfo info,
                                              java.lang.String basePath,
                                              java.lang.String index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.